Bug 101709 - Syntax error in /etc/init.d/postgresql
Summary: Syntax error in /etc/init.d/postgresql
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux Beta
Classification: Retired
Component: postgresql (Show other bugs)
(Show other bugs)
Version: beta1
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Andrew Overholt
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-08-05 21:36 UTC by Nils Philippsen
Modified: 2007-04-18 16:56 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-08-06 11:44:19 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Nils Philippsen 2003-08-05 21:36:38 UTC
Description of problem:

/etc/init.d/postgresql misses a space in "[ ... ]", gives an error. Patch fixing
this:

--- postgresql.orig     2003-07-30 20:42:45.000000000 +0200
+++ postgresql  2003-08-04 18:41:58.000000000 +0200
@@ -66,7 +66,7 @@
                                                                                
 # Find the name of the script
 NAME=`basename $0`
-if [ ${NAME:0:1} = "S" -o ${NAME:0:1} = "K"]
+if [ ${NAME:0:1} = "S" -o ${NAME:0:1} = "K" ]
 then
        NAME=${NAME:3}
 fi


Version-Release number of selected component (if applicable):

postgresql-server-7.3.3-11

Comment 1 Andrew Overholt 2003-08-06 11:44:19 UTC
Fixed in rawhide.


Note You need to log in before you can comment on or make changes to this bug.